<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWaterflowTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('waterflow', function (Blueprint $table) {
            $table->id();
            $table->float('waterflow1'); // Kolom waterflow1 dengan tipe float
            $table->float('waterflow2'); // Kolom waterflow2 dengan tipe float
            $table->timestamp('tanggal')->useCurrent(); // Kolom tanggal dengan tipe timestamp, menggunakan nilai default saat ini

            // Tambahkan indeks pada kolom 'tanggal' jika Anda berencana untuk sering melakukan pencarian berdasarkan tanggal
            // $table->index('tanggal');

            // Jika Anda ingin menggunakan kolom id sebagai primary key
            // $table->primary('id');

            // Jika Anda ingin menonaktifkan pengaturan timestamps default (created_at dan updated_at)
            // $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('waterflow');
    }
}
